Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Config::Extensions

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Config::Extensions

- SYNOPSIS
- DESCRIPTION
- AUTHOR

# SYNOPSIS

        use Config::Extensions '%Extensions';    if ($Extensions{PerlIO::via}) {        # This perl has PerlIO::via built    }

# DESCRIPTION

The Config::Extensions module provides a hash `%Extensions` containing all the core extensions that were enabled for this perl. The hash is keyed by extension name, with each entry having one of 3 possible values:

- dynamic

  The extension is dynamically linked

- nonxs

  The extension is pure perl, so doesn't need linking to the perl executable

- static

  The extension is statically linked to the perl binary

As all values evaluate to true, a simple `if` test is good enough to determine whether an extension is present.

All the data uses to generate the `%Extensions` hash is already present in the `Config` module, but not in such a convenient format to quickly reference.

# AUTHOR

Nicholas Clark <nick@ccl4.org>

Page index

- SYNOPSIS
- DESCRIPTION
- AUTHOR